import { defineConfig, presetAttributify, presetIcons, presetUno } from 'unocss'
import { presetScrollbar } from 'unocss-preset-scrollbar'
import { presetExtra } from 'unocss-preset-extra'

export default defineConfig({
  presets: [
    presetUno(),
    presetIcons({
      //autoInstall: true, //自动安装图标库
    }),
    presetAttributify({
      prefix: 'un-', //属性冲突的自定义前缀
      prefixedOnly: true, //强制使用前缀
    }),
    //滚动条
    presetScrollbar(),
    //其它扩展，主要用动画，集成了 animate.css
    presetExtra(),
  ],
})
